<?php
/**
 * The template for displaying Comments.
 *
 */
 
/*
 * If the current post is protected by a password and the visitor has not yet
 * entered the password we will return early without loading the comments.
 */
if ( post_password_required() )
    return;
?>
 
<div id="comments" class="comments-area">
 
    <?php if ( have_comments() ) : ?>
        <h2 class="comments-title">
            <?php
                printf( _nx( 'Um comentário em "%2$s"', '%1$s comentários em "%2$s"', get_comments_number(), 'comments title', 'twentythirteen' ),
                    number_format_i18n( get_comments_number() ), '<span>' . get_the_title() . '</span>' );
            ?>
        </h2>
 
        <ol class="comment-list list-unstyled">
            <?php
                wp_list_comments( array(
                    'style'       => 'ol',
                    'short_ping'  => true,
                    'avatar_size' => 74,
                    'walker' => new My_Theme_Walker_Comment
                ) );
            ?>
        </ol><!-- .comment-list -->
 
        <?php
            // Are there comments to navigate through?
            if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
        ?>
        <nav class="navigation comment-navigation" role="navigation">
            <h1 class="screen-reader-text section-heading"><?php _e( 'Comment navigation', 'twentythirteen' ); ?></h1>
            <div class="nav-previous"><?php previous_comments_link( __( '&amp;larr; Older Comments', 'twentythirteen' ) ); ?></div>
            <div class="nav-next"><?php next_comments_link( __( 'Newer Comments &amp;rarr;', 'twentythirteen' ) ); ?></div>
        </nav><!-- .comment-navigation -->
        <?php endif; // Check for comment navigation ?>
 
        <?php if ( ! comments_open() && get_comments_number() ) : ?>
        <p class="no-comments"><?php _e( 'Comments are closed.' , 'twentythirteen' ); ?></p>
        <?php endif; ?>
 
    <?php endif; // have_comments() ?>
 
    <?php comment_form(
        array(
            'class_submit' => 'btn btn-primary',
            'comment_field' => '<div class="form-group comment-form-comment"><label class="control-label" for="comment">' . _x( 'Comment', 'noun' ) . '</label><textarea class="form-control" id="comment" name="comment" cols="45" rows="8" aria-required="true"></textarea></div>',
            'fields' => array(
                'author' => '<div class="form-group comment-form-author"><label class="control-label" for="author">' . __( 'Name', 'domainreference' ) . '</label>' .
    '<input class="form-control" id="author" name="author" type="text" value="" size="30" /></div>',
                'email' => '<div class="form-group comment-form-email"><label class="label-control" for="email">' . __( 'Email', 'domainreference' ) . '</label>' .
    '<input class="form-control" id="email" name="email" type="text" value="" size="30"/></div>',
                'url' => '<div class="form-group comment-form-url"><label class="label-control" for="url">' . __( 'Website', 'domainreference' ) . '</label>' .
    '<input class="form-control" id="url" name="url" type="text" value="' . esc_attr( $commenter['comment_author_url'] ) .
    '" size="30" /></div>'
            )
        )
    ); ?>
 
</div><!-- #comments -->