<?php

add_action( 'add_meta_boxes', 'my_theme_register_meta_boxes' );

function my_theme_register_meta_boxes() {
    
    add_meta_box( 'meta-box-portfolio-details', __( 'Portfolio Details', 'my-theme' ), 'my_theme_portfolio_meta_box_display_callback', 'portfolio' );

}


function my_theme_portfolio_meta_box_display_callback( $post ) {

	$ano = '';
	$cliente = '';
	$site = '';

	if( isset( $post->ID ) ) {
		$ano = get_post_meta( $post->ID, '_ano', true );
		$cliente = get_post_meta( $post->ID, '_cliente', true );
		$site = get_post_meta( $post->ID, '_site', true );
	}

	$out = '';
	$out .= '<p><label for="input-ano">Ano:</label>';
	$out .= '<input id="input-ano" name="ano" value="' . $ano . '" />';
	$out .= '</p>';
	$out .= '<p><label for="input-cliente">Cliente:</label>';
	$out .= '<input id="input-cliente" name="cliente" value="' . $cliente . '" />';
	$out .= '</p>';
	$out .= '<p><label for="input-site">Site:</label>';
	$out .= '<input id="input-site" name="site" value="' . $site . '" />';
	$out .= '</p>';

	echo $out;

	wp_nonce_field( 'edit_portfolio','edit_portfolio_nonce' );

	return;
}


add_action('save_post', 'my_theme_save_portfolio_meta');

function my_theme_save_portfolio_meta( $post_id ) {


	if( wp_doing_ajax() )
		return;

	if( 'portfolio' != get_post_type( $post_id ) )
		return;

	//nonces
	// if( ! check_admin_referer( 'edit_portfolio', 'edit_portfolio_nonce' ) )
		// return;

	if( !isset( $_REQUEST['edit_portfolio_nonce'] ) || ! wp_verify_nonce( $_REQUEST['edit_portfolio_nonce'], 'edit_portfolio' ) )
		return;

	if( isset( $_POST['ano'] ) ) {

		update_post_meta( $post_id, '_ano', sanitize_text_field( $_POST['ano'] ) );

	}

	if( isset( $_POST['site'] ) ) {

		update_post_meta( $post_id, '_site', sanitize_text_field( $_POST['site'] ) );

	}

	if( isset( $_POST['cliente'] ) ) {

		update_post_meta( $post_id, '_cliente', sanitize_text_field( $_POST['cliente'] ) );

	}

	return;

}